Skip to main content

Set document's attributes

PUT 

/documents/:documentId/attributes

Set multiple attributes to a document; this endpoint also accepts a different body parameter for setting a single attribute

Note:

  • attributes in the request will overwrite existing attributes.
  • jsonValue replaces the entire JSON object; nested fields are not merged.

Requires WRITE_DOCUMENT_ATTRIBUTES or WRITE. ADMIN retains access.

Request​

Responses​

200 OK

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers